#!/usr/bin/env python
# -*- coding: UTF-8 -*-
""" script d'affichage des variables eole (utilisé par ParseDico)
"""
from creole import parsedico
import os, sys
from creole.config import configeol, charset

hide_vars = False
if "--short" in sys.argv:
    hide_vars = True
    sys.argv.remove('--short')

try:
    conf_file = sys.argv[1]
except:
    conf_file = None

if conf_file != None:
    # lecture des valeurs dans le fichier spécifié
    if os.path.isfile(conf_file):
        from ConfigParser import ConfigParser
        c = ConfigParser()
        files = c.read(conf_file)
        for var in c.sections():
            print '%s="%s"' % (var, " ".join(eval(c.get(var,"val"))).replace('"', '\\"'))
    else:
        sys.exit(1)
else:
    # chargement de la configuration standard (config.eol)
    conf_file = configeol
    try:
        file(conf_file)
    except:
        print "%s : fichier de configuration %s non trouvé" % (sys.argv[0], conf_file)
        sys.exit(1)
    try:
        val_dict = parsedico.parse_dico(hide_vars)
    except Exception, e:
        print "%s : erreur lors du traitement du fichier %s" % (sys.argv[0], conf_file)
        print "Message d'erreur : %s"% str(e)
        sys.exit(1)
    for var, val in val_dict.items():
        if type(val) == list:
            print '%s="%s"' % (var, " ".join(val).replace('"', '\\"'))
        else:
            val = val.replace('"', '\\"')
            print '%s="%s"' % (var, val)

sys.exit(0)
